# pict-rs 0.4.4

## Overview

pict-rs 0.4.4 contains a configuration option and a few dependency upgrades. The primary motivation
for publishing this release is to produce new docker images containing the libvpx CVE fix released
within the last few days.

### Features

- [External Validation Timeout](#external-validation-timeout)


### Bugfixes

- [OpenTelemetry Span Disconnection](#opentelemetry-span-disconnection)


## Upgrade Notes

There's no significant changes from 0.4.3, so upgrading should be as simple as pulling a new version
of pict-rs.


## Descriptions

### External Validation Timeout

A configuration option has been added to change the HTTP Timeout for the external validation
service. This allows letting services that might take a while to respond to be used by extending the
timeout. The default value is 30 seconds.

Examples:

```toml
# pict-rs.toml
[media]
external_validation = "http://validation.service/endpoint"
external_validation_timeout = 60
```

```
# environment variables
PICTRS__MEDIA__EXTERNAL_VALIDATION=http://validation.service/endpoint
PICTRS__MEDIA__EXTERNAL_VALIDATION_TIMEOUT=60
```


### OpenTelemetry Span Disconnection

The tracing-opentelemetry dependency has been updated from 0.20 to 0.21, which includes a bugfix for
tracing spans becoming disconnected from each other and making tracing aggregation services (such as
Jaeger) less useful. If your setup includes an OpenTelemetry collector, this update will be
interesting to you. 
